Bug Hunting Session
Bug 116349 - Writer table underlining indents text 1 mm at both sides
Summary: Writer table underlining indents text 1 mm at both sides
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.6.1 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Table-Borders
  Show dependency treegraph
 
Reported: 2018-03-11 19:04 UTC by Frank
Modified: 2019-03-12 10:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (59.27 KB, image/jpeg)
2018-03-11 19:05 UTC, Frank
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank 2018-03-11 19:04:39 UTC
Description:
Sometimes text is well ordered in tables. I like text to start at the beginning of the table, especially with a thin black lower cell-border.

When i have text with no indent in the cell and switch the lower line from unvisible to thin black, the text gets indented by 1 mm or so. This happens on both ends.

Steps to Reproduce:
1. write text in a table
2. make sure there is no padding
3. make the lower line visible black

Actual Results:  
the text gets indented by 1 mm

Expected Results:
make the lower line black, nothing else


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/64.0.3282.186 Safari/537.36
Comment 1 Frank 2018-03-11 19:05:57 UTC
Created attachment 140565 [details]
Screenshot
Comment 2 Dieter Praas 2018-03-11 21:20:21 UTC
I confirm this with

Version: 6.1.0.0.alpha0+ (x64)
Build ID: d64ce643275e0b2b0dea9e532fc261391dc8793c
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-01_03:24:30
Locale: de-DE (de_DE); Calc: CL


Steps to reproduce

1. write text in a table
2. make sure there is no padding
3. make the lower line visible black
4. text gets intended by 1mm on all sides
5. set cursor within the text => open table properties => padding shows 0,00cm
6. mark the whole cell => open table properties => padding shows 0,1cm

Perhaps there is a reason why there is a difference between setting a curos in the cell and mark the cell, but I dont understand it.
Comment 3 Dieter Praas 2018-03-11 21:21:48 UTC
(In reply to Dieter Praas from comment #2)
> setting a curos
setting the cursor
Comment 4 Frank 2018-03-11 22:53:31 UTC
Thank you, at least a workaround,.
The second point is also responsible for having trouble with changing the attributes on columns. LibreOffice is at this point a bit clumsy, compared to MS-Office
Comment 5 QA Administrators 2019-03-12 03:37:56 UTC Comment hidden (obsolete)
Comment 6 Frank 2019-03-12 10:00:39 UTC
There is neither RESOLVED - FIXED nor RESOLVED - WORKSFORME, only RESOLVED.
It is, indeed. But i won't change the status at this moment.
Comment 7 Frank 2019-03-12 10:04:35 UTC
To be clear: 
the padding is no more 0,10 cm, it jumps to 0,05 instead, but i can change it to 0,00.